#
# spec file for package perl-YAML-LibYAML-API
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name YAML-LibYAML-API
Name:           perl-YAML-LibYAML-API
Version:        0.013
Release:        1.9
License:        MIT
Summary:        Wrapper around the C libyaml library
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TI/TINITA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(YAML::PP) >= 0.024
BuildRequires:  perl(YAML::PP::Common)
Requires:       perl(YAML::PP::Common)
%{perl_requires}

%description
This module provides a thin wrapper around the C libyaml API.

Currently it provides functions for parsing and emitting events.

libyaml also provides a loader/dumper API to load/dump YAML into a list of
nodes. There's no wrapper for these functions yet.

This is just one of the first releases. The function names will eventually
be changed.

The sources of 'libyaml-dev' are included in this distribution. You can
build this module with the system libyaml instead, if you remove the
libyaml sources and call 'Makefile.PL' with 'WITH_SYSTEM_LIBYAML=1'.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Tue Apr 12 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.013
  see /usr/share/doc/packages/perl-YAML-LibYAML-API/Changes
  0.013 2022-04-11 23:58:42+02:00
  - Change License to MIT because of included libyaml
  - Add tag_directives entry to events (needed by yamltidy)
* Wed Sep  9 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.012
  see /usr/share/doc/packages/perl-YAML-LibYAML-API/Changes
  0.012 2020-09-08 12:55:03+02:00
  - Remove local/ directory from tarball
  0.011 2020-09-07 19:41:56+02:00
  - Pass new option 'width' to libyaml
* Thu Aug 20 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.010
  see /usr/share/doc/packages/perl-YAML-LibYAML-API/Changes
  0.010 2020-08-19 22:39:12+02:00
  - Update to libyaml 0.2.5
  - Fix constants for flow style/block style
  - Emitter: Support flow style collections
* Sun May 17 2020 Tina Müller <timueller+perl@suse.de>
  updated to 0.009
  see /usr/share/doc/packages/perl-YAML-LibYAML-API/Changes
  0.009 2020-05-16 15:28:05+02:00
  - Support emitting version directives
  - Update libyaml sources to 0.2.4. Changes affecting this module:
  - Output '...' at the stream end after a block scalar with trailing empty lines
  - Accept '%%YAML 1.2' directives
* Thu Feb 20 2020 <timueller+perl@suse.de>
- updated to 0.008
  see /usr/share/doc/packages/perl-YAML-LibYAML-API/Changes
  0.008 2020-02-19 13:55:40+01:00
  - Support numeric anchors (before strings were required)
* Thu Aug 15 2019 Tina Mueller <tina.mueller@suse.com>
- initial package 0.007
  * created by cpanspec 1.78.09
